
QGIS Application - Bug report #21416

Crach on closing

2019-02-28 08:24 AM - Matjaž Mori

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.5 Regression?: No

Operating System: W7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 29233

Description

User Feedback

This crash happens everytime i close the program.

Report Details

Crash ID: a037e3dd18301dbfb420623bbdf24000bc039583

Stack Trace

QgsMapToolExtent::~QgsMapToolExtent :

PyInit__gui :

QObjectPrivate::deleteChildren :

QWidget::~QWidget :

QgsVectorLayerProperties::`default constructor closure' :

QgisApp::~QgisApp :

CPLStringList::operator char const * __ptr64 const * __ptr64 :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.5-Madeira

QGIS code revision: commit:89ee6f6e23

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-02-28 08:28 AM - Nyall Dawson

- Status changed from Open to Feedback

Looks plugin related. Try with a clean profile.

#2 - 2019-02-28 08:32 AM - Matjaž Mori
It seemed to be problem with Geomapfish Locator plugin. After uninstall crash does not occur aymore.

#3 - 2019-02-28 11:59 AM - Saber Razmjooei

- Status changed from Feedback to Closed

#4 - 2019-03-01 08:33 PM - Giovanni Manghi

- Resolution set to invalid
